This topic was merged into another on Tue, 18 Oct 2011 13:59:59 +0000 Click here to see the authoritative topic.
I’m sad.

After Ubuntu 11.04 upgrade, I can't open GP6.

I just upgraded to Ubuntu 11.04 x64 and I can't open GP6. I did the force install before while on 10.10 and all was well. Anyone else running into this?
12 people have
this problem
+1
Reply
  • I'm having the same issue. GP6 used to work fine under Ubuntu 10.10 amd64 (x64?), but now that I've upgraded to 11.04 (a fresh install),I get the GP6 splash screen, then it disappears then nothing!

    The first time I launched GP6,it started OK and I could open a .gpx file. However, I didn't install the RSE banks at first. I ran the updater to install the RSE banks. It is then that GP6 started acting up.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • I’m curious.
    I got it to open, but I am not sure how to do it. I'm curious if running sudo /location/of/gp-launcher.sh will work...
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • I’m happy
    Thanks for the tip - it did!

    I changed the launcher command for "gksudo /opt/GuitarPro6/gp-launcher.sh" and Guitar Pro launched. It asks for a password at every launch, though. Haven't tested from a "Desktop user" account type yet.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • EMPLOYEE
    I’m confident
    Daniel, keep me posted if you still get this password problem after trying from the desktop user account.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • I’m confident
    II'd call it more of a workaround than a problem - by launching an app with "gksudo", you're requesting an elevated privilege, hence it asks you for a password.

    It's a nuisance, but I'm accepting it since GP6 is, IMHO, a great piece of software which I enjoy using.

    Bingen, you have to get at the system settings, then edit the Guitar Pro 6 launcher and replace the command line with "gksudo /opt/GuitarPro6/gp-launcher.sh". You'll be prompted for a password every time you launch, but at least it should work.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • I’m happy.
    I've been looking for a solution and doing SUDO /guitar/pro/location -mypassword is not a good thing to do. You have to call a text file to do that and they is not recommended at all, so until there is a full fix, it looks like we're going to be doing sudo and type in your PW.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • Ever tried starting it from command line? It produces this error:

    kjelle@orion:/opt/GuitarPro6$ ./GuitarPro
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

    (:2063): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

    (:2063): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

    (:2063): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

    (:2063): Gtk-WARNING **: Loading IM context type 'ibus' failed

    (:2063): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

    (:2063): Gtk-WARNING **: Loading IM context type 'ibus' failed
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

    (:2063): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

    (:2063): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

    (:2063): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

    (:2063): Gtk-WARNING **: Loading IM context type 'ibus' failed
    /usr/lib/gio/modules/libgiobamf.so: wrong ELF class: ELFCLASS64
    Failed to load module: /usr/lib/gio/modules/libgiobamf.so
    /usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
    Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so

    (:2063): Gtk-WARNING **: Error loading theme icon 'dialog-question' for stock: Unable to load image-loading module: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: wrong ELF class: ELFCLASS64

    (:2063): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

    ** (:2063): CRITICAL **: murrine_style_draw_render_icon: assertion `base_pixbuf != NULL' failed

    (:2063): Gtk-CRITICAL **: IA__gtk_style_render_icon: assertion `pixbuf != NULL' failed

    (:2063): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_pixels: assertion `GDK_IS_PIXBUF (pixbuf)' failed

    (:2063): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion `GDK_IS_PIXBUF (pixbuf)' failed

    (:2063): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion `GDK_IS_PIXBUF (pixbuf)' failed
    Segmentation fault

    I also had the messages about i-bus.so on 10.10; the other messages are new.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • Same Error. I run 64bits install. I'll just try something else. Running through a freshly created user.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • Hi. I tried with a freshly created user. And it works. This is a config file of some sort that is Seg faulting the app.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • mv ~/.ArobasMusic ~/.ArobasMusicbkp did the trick for me. Probably we could only delete one file but I'm not looking any deeper. Have fun
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • I’m confident
    Bravo João you did it!
    Simply delete the file ~/.ArobasMusic/Guitar\ Pro\ 6/logs/currentLog.log any time GP6 get crashed.
    We will see what is going on and patch GP6 as soon as possible.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • I’m frustrated
    EDIT: I did what João suggested but only worked once, then after that Guitar Pro keeps asking for Product Key and crashes:

    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

    (:3559): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

    (:3559): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

    (:3559): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

    (:3559): Gtk-WARNING **: Loading IM context type 'ibus' failed

    (:3559): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

    (:3559): Gtk-WARNING **: Loading IM context type 'ibus' failed
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

    (:3559): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

    (:3559): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

    (:3559): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

    (:3559): Gtk-WARNING **: Loading IM context type 'ibus' failed
    /usr/lib/gio/modules/libgiobamf.so: wrong ELF class: ELFCLASS64
    Failed to load module: /usr/lib/gio/modules/libgiobamf.so
    /usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
    Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so

    (:3559): Gtk-WARNING **: Error loading theme icon 'dialog-information' for stock: Unable to load image-loading module: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64

    (:3559): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

    ** (:3559): CRITICAL **: murrine_style_draw_render_icon: assertion `base_pixbuf != NULL' failed

    (:3559): Gtk-CRITICAL **: IA__gtk_style_render_icon: assertion `pixbuf != NULL' failed

    (:3559): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_pixels: assertion `GDK_IS_PIXBUF (pixbuf)' failed

    (:3559): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion `GDK_IS_PIXBUF (pixbuf)' failed

    (:3559): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion `GDK_IS_PIXBUF (pixbuf)' failed
    Segmentation fault

    If I run the application as Root it works with no problem, opens fine but it doesn't detects the RSE :( And that's frustrating, on the meantime I will have to install it on Windows and work from there but it will not be the same :S

    Any ideas of what can be this? Does the beta version has worked for anyone?

    EDIT 2: After run Guitar Pro as root, I opened as my user and it opens but trying to play a file will do a segmentation fault on it.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • This reply was removed on 2011-05-11.
    see the change log
  • 1
    I have no problem after mv /deleting my .arobas directory
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • What happens if you delete the directory? Do you have to reinstall afterwards?
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • Nah. Actually even the same tab I had before came opened.... Moving is usually the same as removing, I have no idea about these guys code..but well if it looks for it and doesn't find it's not going to look to a bkp dir... so you can keep it just in case.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • Hi guys! Simply delete the currentLog file, note that you don't need to remove the .ArobasMusic directory!
    You will find it here: ~/.ArobasMusic/Guitar\ Pro\ 6/logs/currentLog.log

    Heiner Valverde, it seems GP6 get crashed any time you activate it, but I can open it afterward.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • For some reason when I launch gp6 it crashes. when launched from terminal it list gtk libs and wrong elf class 64. i have ia32 package installed and libportaudio2. I have had gp6 working before.

    This reply was created from a merged topic originally titled
    tries to load 64bit gtk packages and crashes. natty 64bit.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • I’m confused, concerned
    Bug on Guitar Pro 6 for lastest Ubuntu version:

    When opening Guitar Pro in Ubuntu 11.04, the aplication opens fine, but then crashed.

    The result of running the aplication on terminal is this one:

    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

    (:2237): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

    (:2237): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

    (:2237): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

    (:2237): Gtk-WARNING **: Loading IM context type 'ibus' failed

    (:2237): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

    (:2237): Gtk-WARNING **: Loading IM context type 'ibus' failed
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

    (:2237): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

    (:2237): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

    (:2237): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: wrong ELF class: ELFCLASS64

    (:2237): Gtk-WARNING **: Loading IM context type 'ibus' failed
    /usr/lib/gio/modules/libgiobamf.so: wrong ELF class: ELFCLASS64
    Failed to load module: /usr/lib/gio/modules/libgiobamf.so
    /usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
    Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so

    (:2237): Gtk-WARNING **: Error loading theme icon 'dialog-question' for stock: Unable to load image-loading module: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so: wrong ELF class: ELFCLASS64

    (:2237): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

    ** (:2237): CRITICAL **: murrine_style_draw_render_icon: assertion `base_pixbuf != NULL' failed

    (:2237): Gtk-CRITICAL **: IA__gtk_style_render_icon: assertion `pixbuf != NULL' failed

    (:2237): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_pixels: assertion `GDK_IS_PIXBUF (pixbuf)' failed

    (:2237): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion `GDK_IS_PIXBUF (pixbuf)' failed

    (:2237): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion `GDK_IS_PIXBUF (pixbuf)' failed
    Segmentation fault

    Any idea? Should I submit this also to Ubuntu devs?

    This reply was created from a merged topic originally titled
    Bug opening Guitar Pro in Ubuntu.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • There seems to exist a problem with a config file or something. Gp6 seg faulted when I tried to start after upgrading to 11.04 and I did this:
    mv ~/.ArobasMusic ~/.ArobasMusicbkp
    It did the trick for me. Probably we could only delete one file but I'm not looking any deeper. Have fun

    This reply was created from a merged topic originally titled
    Solved Ubuntu 11.04 problem with gp6.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • I’m sad.
    I deleted that file (currentlog) and then, tried to re-open and it worked without using Terminal. The problem is, I tried to double click a .gp5 file and then GP6 closed and now, I am back to square one.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • I’m sad
    I deleted the currentlog, it opened but then it crashed after trying to play a Guitar Pro 3 file that used to play fine :(

    It's this only happening on 64 bit or also on 32 bit? I also tried moving the whole folder to a different location as Joao did but I got the same result ¬_¬
    • I have the same thing.. Check this out though: If you open a .gpx file, it should open right up with no problems. I set my OS to open GP5,4,3 files with gp-launcher.sh and all that happens is GP launches, but the file doesn't open. So, if you open that song, then save as GPX, then you should be able to open t in the future with no problems.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • I managed to install GP6 in ubuntu 11.04 and by using the latest package from the website, it even opened correctly. Without further testing I then installed the soundbanks from the DVD by drag and drop into the main GP6 window. The installer stopped at about 80 or 90% , though saying that the installation was successfull. After the installation the program wouldn't open anymore. Only the image at startup appears, but without any sound. Nothing else happens then.

    I tried to reinstall the main application. It didn't work by simply applying the steps that worked the first time. Also removing by the standard apt-get method only gives me an error, that the package wasn't found. I'm not quite experienced using linux yet, so I can't think of another solution.

    This reply was created from a merged topic originally titled
    Guitar Pro 6 won't open after sound bank installation [64 bit linux].
    • view 5 more comments
    • You can take a look on this: https://docs.google.com/viewer?url=ht... it explains the whole Linux hierarchy file system.
    • I deleted the current log file, I can still not install soundbanks under Ubuntu 11.04, also guitar pro 6 under Ubuntu 10.09 does not connect to the internet when I use the password. it just stops.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • I submitted this topic to the AskUbuntu help and they suggested this:

    Try running

    unset UBUNTU_MENUPROXY
    unset GTK_IM_MODULE
    unset QT_IM_MODULE


    in the terminal before launching your program, but make sure you run the program in the same terminal session. If you open a new tab, for example, you'll have run those commands again

    Can someone try this on their Ubuntu 11.04 and let us know if that worked? The link to the question is: http://askubuntu.com/questions/41920/...

    Go and make some noise there too :P
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • unset UBUNTU_MENUPROXY
    unset GTK_IM_MODULE
    unset QT_IM_MODULE

    I've tried this and the errors related to libappmenu.so are disappeared now. Environment variables GTK_IM_MODULE and QT_IM_MODULE was already unset by the way.
    The rest of the errors:
    (<unknown>:2221): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: неправильный класс ELF: ELFCLASS64

    (<unknown>:2221): Gtk-WARNING **: Loading IM context type 'ibus' failed

    (<unknown>:2221): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: неправильный класс ELF: ELFCLASS64

    (<unknown>:2221): Gtk-WARNING **: Loading IM context type 'ibus' failed

    (<unknown>:2221): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-ibus.so: неправильный класс ELF: ELFCLASS64

    (<unknown>:2221): Gtk-WARNING **: Loading IM context type 'ibus' failed
    /usr/lib/gio/modules/libgiobamf.so: неправильный класс ELF: ELFCLASS64
    Failed to load module: /usr/lib/gio/modules/libgiobamf.so
    /usr/lib/gio/modules/libgvfsdbus.so: неправильный класс ELF: ELFCLASS64
    Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so

    (<unknown>:2221): Gtk-WARNING **: Error loading theme icon 'gtk-ok' for stock: Не удалось загрузить модуль загрузки изображений: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-png.so: неправильный класс ELF: ELFCLASS64

    (<unknown>:2221): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

    ** (<unknown>:2221): CRITICAL **: murrine_style_draw_render_icon: assertion `base_pixbuf != NULL' failed

    (<unknown>:2221): Gtk-CRITICAL **: IA__gtk_style_render_icon: assertion `pixbuf != NULL' failed

    (<unknown>:2221): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_pixels: assertion `GDK_IS_PIXBUF (pixbuf)' failed

    (<unknown>:2221): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion `GDK_IS_PIXBUF (pixbuf)' failed

    (<unknown>:2221): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion `GDK_IS_PIXBUF (pixbuf)' failed
    Segmentation fault
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • Full of optimism I erased the logfile. The guitar pro 6 on Ubuntu 11.04 is still silent. I can not import the soundbanks from within the programme. Im asked for password and then the programme dies. I have doublecheck the password Is it possible to get the soundbank file form another source ?
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • I’m confident
    2
    It seems a bug in the latest ia32-libs causes some trouble to applications that uses 32bit libraries (GP6 use 32 bit libraries too).

    A workaround exists, simply downgrade the ia32-libs package.

    Follow these guidelines to downgrade ia32:
    - download the package from this page http://packages.ubuntu.com/maverick/a...
    - execute this command line: sudo dpkg --force-downgrade -i ia32-libs_20090808ubuntu9.1_amd64.deb
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • Wonderfull. And thx!

    However I feel like the fawlty guy servant "I understand Nothing, Nothing.."

    So what is "latest ia32-libs" ?
    You really should emphazise that you are using terminal

    Why are you refferiing to 64bit AMD?
    Why are U referring to Ubuntu 10 not Ubuntu 11.04?
    Have U tested this thouroughly ?
    Could U describe the proces in not so technical terms?
    Screendumps or vid showing the steps ??

    thx anyway
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • where should I place the file ? do you wantg me to execute the deb file. ???????
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • error from terminal

    sudo dpkg --force-downgrade -i ia32-libs_20090808ubuntu9.1_amd64.deb

    dpkg: fejl under behandling af ia32-libs_20090808ubuntu9.1_amd64.deb (--install):
    kan ikke tilgå arkivet: Ingen sådan fil eller filkatalog
    Der opstod fejl under behandlingen:
    ia32-libs_20090808ubuntu9.1_amd64.deb

    annoying
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • It not working so Im not getting satisfation, Im annoyed.

    U want me to execute the deb ? I cant do that
    Under terminal Im told the package cant be found..

    You need to b more precise.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • @Charly, is there any chance that this can be forwarded to Canonical as a bug in Launchpad so they can fix it?
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • I’m frustrated
    On running the latest update (that had a file Linux Fix), I get the following error on trying to start up the app

    ./GuitarPro
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

    (:6902): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

    (:6902): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

    (:6902): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-uim.so: wrong ELF class: ELFCLASS64

    (:6902): Gtk-WARNING **: Loading IM context type 'uim' failed

    (:6902): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-uim.so: wrong ELF class: ELFCLASS64

    (:6902): Gtk-WARNING **: Loading IM context type 'uim' failed
    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

    (:6902): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

    /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so: wrong ELF class: ELFCLASS64

    (:6902): Gtk-WARNING **: Failed to load type module: /usr/lib/gtk-2.0/2.10.0/menuproxies/libappmenu.so

    (:6902): Gtk-WARNING **: /usr/lib/gtk-2.0/2.10.0/immodules/im-uim.so: wrong ELF class: ELFCLASS64

    (:6902): Gtk-WARNING **: Loading IM context type 'uim' failed
    /usr/lib/gio/modules/libgiobamf.so: wrong ELF class: ELFCLASS64
    Failed to load module: /usr/lib/gio/modules/libgiobamf.so
    /usr/lib/gio/modules/libgvfsdbus.so: wrong ELF class: ELFCLASS64
    Failed to load module: /usr/lib/gio/modules/libgvfsdbus.so

    (:6902): Gtk-WARNING **: Error loading theme icon 'dialog-question' for stock: Unable to load image-loading module: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so: wrong ELF class: ELFCLASS64

    (:6902): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

    ** (:6902): CRITICAL **: murrine_style_draw_render_icon: assertion `base_pixbuf != NULL' failed

    (:6902): Gtk-CRITICAL **: IA__gtk_style_render_icon: assertion `pixbuf != NULL' failed

    (:6902): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_pixels: assertion `GDK_IS_PIXBUF (pixbuf)' failed

    (:6902): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_width: assertion `GDK_IS_PIXBUF (pixbuf)' failed

    (:6902): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_height: assertion `GDK_IS_PIXBUF (pixbuf)' failed
    Segmentation fault

    Please advise on how I can fix this.

    This reply was created from a merged topic originally titled
    How do I fix GuitarPro on Ubuntu 64 after the latest update killed it?.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • In my experience Ubuntu 10.09 32 bits version works with Guitar pro 6,

    Ubuntu 11.04 and 64 bits does not work. The suggested solutions and workarounds here does not work. Downgrading ubuntuy will save u a lot of trouble.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • this problem is not solved.

    Guitar pro 6 does not work under Ubuntu 11.04. No soundbanks.
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • So the 64-bit problem relates directly to Ubuntu 11.04. However the word-around you suggest does not work for me. What works is downgrading Ubuntu til older version. Maybe you should inform the Ubuntu people about this ? It might not be your fault, Ive read somewhere that the Canonical people nowadays have a more rigid control over their repositories .
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned

  • dpkg -i --force-architecture GuitarPro6Demo-rev9626.deb

    /GuitarPro: error while loading shared libraries: libportaudio.so.2: wrong ELF class: ELFCLASS64

    This reply was created from a merged topic originally titled
    Hello, I am unable to install GuitarPro on 64-bit Linux..
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. sad, anxious, confused, frustrated kidding, amused, unsure, silly happy, confident, thankful, excited indifferent, undecided, unconcerned